Skip to navigation

Get custom tab information

View as Markdown
Retrieves information about the requested custom tab on the specified account.

Authentication

Authorizationstring

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.

Path parameters

accountIdstringRequired

The external account number (int) or account id GUID.

customTabIdstringRequired

Response

Successful response.
anchorstringOptional

An optional string that is used to auto-match tabs to strings located in the documents of an envelope.

anchorCaseSensitivestringOptional
Reserved for DocuSign.
anchorHorizontalAlignmentstringOptional
Reserved for DocuSign.
anchorIgnoreIfNotPresentstringOptional

When set to true, this tab is ignored if anchorString is not found in the document.

anchorMatchWholeWordstringOptional
Reserved for DocuSign.
anchorUnitsstringOptional

Specifies units of the anchorXOffset and anchorYOffset. Valid units are:

  • pixels
  • inches
  • mms
  • cms
anchorXOffsetstringOptional

Specifies the X axis location of the tab in anchorUnits relative to the anchorString.

anchorYOffsetstringOptional

Specifies the Y axis location of the tab in anchorUnits relative to the anchorString.

boldstringOptional

When set to true, the information in the tab is bold.

collaborativestringOptional
concealValueOnDocumentstringOptional

When set to true, the field appears normally while the recipient is adding or modifying the information in the field, but the data is not visible (the characters are hidden by asterisks) to any other signer or the sender.

When an envelope is completed the information is available to the sender through the Form Data link in the DocuSign Console.

This setting applies only to text boxes and does not affect list boxes, radio buttons, or check boxes.

createdByDisplayNamestringOptional
The user name of the DocuSign user who created this object.
createdByUserIdstringOptional
The userId of the DocuSign user who created this object.
customTabIdstringOptional
disableAutoSizestringOptional

When set to true, disables the auto sizing of single line text boxes in the signing screen when the signer enters data. If disabled users will only be able enter as much data as the text box can hold. By default this is false. This property only affects single line text boxes.

editablestringOptional

When set to true, the custom tab is editable. Otherwise the custom tab cannot be modified.

fontstringOptional

The font to be used for the tab value. Supported Fonts include:

  • Default
  • Arial
  • ArialNarrow
  • Calibri
  • CourierNew
  • Garamond
  • Georgia
  • Helvetica
  • LucidaConsole
  • MSGothic
  • MSMincho
  • OCR-A
  • Tahoma
  • TimesNewRoman
  • Trebuchet
  • Verdana
fontColorstringOptional

The font color used for the information in the tab. Possible values are:

  • Black
  • BrightBlue
  • BrightRed
  • DarkGreen
  • DarkRed
  • Gold
  • Green
  • NavyBlue
  • Purple
  • White
fontSizestringOptional

The font size used for the information in the tab. Possible values are:

  • Size7
  • Size8
  • Size9
  • Size10
  • Size11
  • Size12
  • Size14
  • Size16
  • Size18
  • Size20
  • Size22
  • Size24
  • Size26
  • Size28
  • Size36
  • Size48
  • Size72
heightstringOptional
Height of the tab in pixels.
includedInEmailstringOptional

When set to true, the tab is included in e-mails related to the envelope on which it exists. This applies to only specific tabs.

initialValuestringOptional
The original value of the tab.
italicstringOptional

When set to true, the information in the tab is italic.

itemslist of stringsOptional
lastModifiedstringOptional

Utc date and time the comment was last updated (can only be done by creator.)

lastModifiedByDisplayNamestringOptional
The User Name of the DocuSign user who last modified this object.
lastModifiedByUserIdstringOptional
The userId of the DocuSign user who last modified this object.
lockedstringOptional

When set to true, the signer cannot change the data of the custom tab.

maximumLengthstringOptional
mergeFieldobjectOptional
Contains information for transfering values between Salesforce data fields and DocuSign Tabs.
namestringOptional
paymentItemCodestringOptional
paymentItemDescriptionstringOptional
paymentItemNamestringOptional
requireAllstringOptional

When set to true and shared is true, information must be entered in this field to complete the envelope.

requiredstringOptional

When set to true, the signer is required to fill out this tab

requireInitialOnSharedChangestringOptional

Optional element for field markup. When set to true, the signer is required to initial when they modify a shared field.

scaleValuestringOptional
selectedstringOptional

When set to true, the radio button is selected.

sharedstringOptional
stampTypestringOptional
stampTypeMetadataobjectOptional
tabLabelstringOptional

The label string associated with the tab. The string may be the empty string. If no value is provided, the tab type is used as the value.

Maximum of 500 characters.

typestringOptional

Type of the user. Valid values: type_owner, type_participant.

underlinestringOptional

When set to true, the information in the tab is underlined.

validationMessagestringOptional

The message displayed if the custom tab fails input validation (either custom of embedded).

validationPatternstringOptional
A regular expressionn used to validate input for the tab.
widthstringOptional
Width of the tab in pixels.

Errors

400
Bad Request Error